package com.aucma.base.mapper;

import java.util.List;

import com.aucma.base.domain.BaseSpaceDetail;

/**
 * 货道明细Mapper接口
 *
 * @author Yinq
 * @date 2023-10-30
 */
public interface BaseSpaceDetailMapper {
    /**
     * 查询货道明细
     *
     * @param objId 货道明细主键
     * @return 货道明细
     */
    public BaseSpaceDetail selectBaseSpaceDetailByObjId(Long objId);

    /**
     * 查询货道明细列表
     *
     * @param baseSpaceDetail 货道明细
     * @return 货道明细集合
     */
    public List<BaseSpaceDetail> selectBaseSpaceDetailList(BaseSpaceDetail baseSpaceDetail);

    /**
     * 新增货道明细
     *
     * @param baseSpaceDetail 货道明细
     * @return 结果
     */
    public int insertBaseSpaceDetail(BaseSpaceDetail baseSpaceDetail);

    /**
     * 修改货道明细
     *
     * @param baseSpaceDetail 货道明细
     * @return 结果
     */
    public int updateBaseSpaceDetail(BaseSpaceDetail baseSpaceDetail);

    /**
     * 删除货道明细
     *
     * @param objId 货道明细主键
     * @return 结果
     */
    public int deleteBaseSpaceDetailByObjId(Long objId);

    /**
     * 批量删除货道明细
     *
     * @param objIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBaseSpaceDetailByObjIds(Long[] objIds);
}
